%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate signature

Name:           rust-signature1
Version:        1.6.4
Release:    1%{?dist}
Summary:        Traits for cryptographic signature algorithms (e.g. ECDSA, Ed25519)

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/signature
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Traits for cryptographic signature algorithms (e.g. ECDSA, Ed25519).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+derive-preview-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive-preview-devel %{_description}

This package contains library source intended for building other packages which
use the "derive-preview" feature of the "%{crate}" crate.

%files       -n %{name}+derive-preview-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+digest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-devel %{_description}

This package contains library source intended for building other packages which
use the "digest" feature of the "%{crate}" crate.

%files       -n %{name}+digest-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+digest-preview-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-preview-devel %{_description}

This package contains library source intended for building other packages which
use the "digest-preview" feature of the "%{crate}" crate.

%files       -n %{name}+digest-preview-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hazmat-preview-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hazmat-preview-devel %{_description}

This package contains library source intended for building other packages which
use the "hazmat-preview" feature of the "%{crate}" crate.

%files       -n %{name}+hazmat-preview-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rand-preview-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand-preview-devel %{_description}

This package contains library source intended for building other packages which
use the "rand-preview" feature of the "%{crate}" crate.

%files       -n %{name}+rand-preview-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rand_core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand_core-devel %{_description}

This package contains library source intended for building other packages which
use the "rand_core" feature of the "%{crate}" crate.

%files       -n %{name}+rand_core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+signature_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+signature_derive-devel %{_description}

This package contains library source intended for building other packages which
use the "signature_derive" feature of the "%{crate}" crate.

%files       -n %{name}+signature_derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.4-1
- initial build
